require 'tk'
require 'hoge.rb'

pane = TkPanedWindow.new(:orient=>:horizontal)

h1 = Hoge.new(pane, :buttonframe=>false).pack(:fill=>:both, :expand=>true)
h2 = Hoge.new(pane, :buttonframe=>false).pack(:fill=>:both, :expand=>true)

pane.add(h1, h2).pack

f = TkFrame.new.pack(:fill=>:x, :expand=>false, :side=>:bottom)
TkFrame.new(f, :height=>2, :relief=>:sunken, :borderwidth=>1, 
            :background=>'gray50').pack(:fill=>:x, :expand=>false, 
                                           :padx=>5, :pady=>2)
TkButton.new(f, :command=>proc{
               Tk.messageBox(:message=>'h = ' << h1.values.inspect << 
                               "\nh2 = " << h2.values.inspect )
             }, 
             :text=>'OK').pack(:expand=>true, :side=>:left)
TkButton.new(f, :command=>proc{h1.clear; h2.clear}, 
             :text=>'clear').pack(:expand=>true, :side=>:left)
TkButton.new(f, :command=>proc{exit}, 
             :text=>'quit').pack(:expand=>true, :side=>:left)

Tk.mainloop
