#
#  tkorca/default_wall_msg.rb : write initial message on the wall
#
#                           by Hidetoshi NAGAI (nagai@ai.kyutech.ac.jp)
#
wall = MOTHER.wall

x = 250
y = 25
dy = 18

#-----------------------------------------------------
# navyblue -> [0,0,128]
wall.write_msg(x, y, :fill=>'#000080', :font=>'Courier -18 bold', 
               :text=>"Ruby/TkORCA (Ruby/Tk on RFB canvas)")
y += 2
y += dy

#-----------------------------------------------------
if OPTION['debug_mode']
  # navyblue -> [0,0,128]
  wall.write_msg(x, y, :fill=>'#000080', :font=>'Courier -14', 
                 :text=>"------- debug" +
                   ((OPTION['trust_mode'])? ' (trust)': '') +
                   " mode -------"
                 )
  y += dy
end

#-----------------------------------------------------
# tomato3 -> [205,79,57]
wall.write_msg(x, y, :fill=>'#CD4F39', :font=>'Courier -14 bold', 
               :text=>" This connection will be closed in about " + 
                 OPTION['timeout'].to_s + " seconds.")
y += dy
