#
#  wrap_ObjectSpace.rb : 
#
#                           by Hidetoshi NAGAI (nagai@ai.kyutech.ac.jp)
#
if $0 == __FILE__
  $LOAD_PATH << File.expand_path(File.join(File.dirname(__FILE__), '..'))
end

require 'tkorca/method_wrapper'
require 'tkorca/utils'
require 'tkorca/debug'

=begin
TkORCA::MethodWrapper.wrap_singleton_method(ObjectSpace, :_id2ref){|orig_m, id|
  TkORCA.security_check()
  orig_m.call(id)
}

module ObjectSpace
  def self._wrapped_each_object(orig_m, *klass, &blk)
    TkORCA::DEBUG.p(["_wrapped_each_object $SAFE=#{$SAFE}", 
                      self, orig_m, klass, blk])
    TkORCA.security_check()
    orig_m.call(*klass, &blk)
  end
  TkORCA::MethodWrapper.wrap_singleton_method(self, :each_object, 
                                              method(:_wrapped_each_object))
end
=end
TkORCA::MethodWrapper.deny_daughter_to_singleton_methods(ObjectSpace, 
                                                         :_id2ref, 
                                                         :each_object)
