#
#  wrap_tkvar_wait.rb : wrap TkVariable#wait
#
#                           by Hidetoshi NAGAI (nagai@ai.kyutech.ac.jp)
#
if $0 == __FILE__
  $LOAD_PATH << File.expand_path(File.join(File.dirname(__FILE__), '..'))
end

require 'tkorca/utils'

TkORCA::MethodWrapper.wrap_instance_method(TkVariable, :wait){|orig_m, *args|
  if TkORCA.is_mother?
    # allow without restriction
    orig_m.call(*args)
  else
    # allow on thread only
    args[0] = true
    orig_m.call(*args)
  end
}
